Modification du style visuel

Articles liés à l’interopérabilité Dynamo avec Revit (éléments, plugins ou API).

Bonjour à tous,

J’ai réussi à modifier via dynamo le style visuel de mes plans comme je le souhaitait. J’arrive donc à passer de ombré à Réaliste à ombré avec arêtes etc. Cependant je n’arrive pas à modifier l’option Lisser les lignes à l’aide de l’anti-crénelage qui se trouve dans option d’affichage des graphismes > Affichage de modèle > Style :

Avez-vous une idée de comment faire ?

Merci
Pauline

Salut essai ceci

.
le code Python

import clr
import sys
import System
from System.Collections.Generic import List, IEnumerable
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *
import Autodesk.DesignScript.Geometry as DS

#import Revit API
clr.AddReference('RevitAPI')
import Autodesk
from Autodesk.Revit.DB import *
import Autodesk.Revit.DB as DB

clr.AddReference('RevitServices')
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

doc = DocumentManager.Instance.CurrentDBDocument

toList = lambda x : x if isinstance(x, list) or x.GetType().GetInterface("IEnumerable") is not None else [x]
lst_view = toList(UnwrapElement(IN[0]))
displayStyleName = UnwrapElement(IN[1])
smoothEdges = IN[2]

#Do some action in a Transaction
TransactionManager.Instance.EnsureInTransaction(doc)
for view in lst_view:
    # set Style
    view.DisplayStyle = System.Enum.Parse(DB.DisplayStyle, displayStyleName)
    # set Model
    displayModel = view.GetViewDisplayModel()
    displayModel.SmoothEdges = smoothEdges
    view.SetViewDisplayModel(displayModel)

TransactionManager.Instance.TransactionTaskDone()

OUT = lst_view
4 « J'aime »

Super, c’est exactement ce que je voulais !!

Merci beaucoup

1 « J'aime »